commit:     7614305cbdebeb9838f26026da5d270d90de7f3b
Author:     Adel KARA SLIMANE <adel.ks <AT> zegrapher <DOT> com>
AuthorDate: Thu Dec 21 22:17:37 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 16 08:38:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7614305c

media-libs/libvmaf: add slotted 3.0.0, update ffmpeg ebuilds

Rebuild ffmpeg on libvmaf SLOT change

Signed-off-by: Adel KARA SLIMANE <adel.ks <AT> zegrapher.com>
Closes: https://github.com/gentoo/gentoo/pull/34403
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-libs/libvmaf/Manifest             |  1 +
 media-libs/libvmaf/libvmaf-3.0.0.ebuild | 65 +++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/media-libs/libvmaf/Manifest b/media-libs/libvmaf/Manifest
index 0a9637b681e0..e63cdcb4e1fa 100644
--- a/media-libs/libvmaf/Manifest
+++ b/media-libs/libvmaf/Manifest
@@ -1 +1,2 @@
 DIST libvmaf-2.3.1.tar.gz 18388094 BLAKE2B 
df5af307382eeb215a5f47ea7f78d8d6d8087f238c3f68c2614c0588415dc948cadce5ce2da9b37f6e05a1c695e5437cfb9ca3917fc8346bab6312f0859e90a2
 SHA512 
4854247bba4b323d08fa9ef4a082a08ed9ab1763dffbe0a1af2b594205e908f47dfb919d03a32e0bce77a40e33e4b2a2594e5d1e8e081379640d6abf279a129b
+DIST libvmaf-3.0.0.tar.gz 18111853 BLAKE2B 
8cb53dc2400d34f618ba76588dc77854f695dbd9225c2939e5d266afca1e969b467ee4f55290d87b38d5a144bf30ab695ab7b16633a18f435fd7f36399af2518
 SHA512 
9e356bb274ce7d5d85a64d2a1a122ea9d267809edd83bb6e663fb348a1a46355882eb9044982bf679f03df7f93c6f66c9b0d9a94661979b2c722db30b21c4f32

diff --git a/media-libs/libvmaf/libvmaf-3.0.0.ebuild 
b/media-libs/libvmaf/libvmaf-3.0.0.ebuild
new file mode 100644
index 000000000000..62a0526f3947
--- /dev/null
+++ b/media-libs/libvmaf/libvmaf-3.0.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson-multilib flag-o-matic
+
+DESCRIPTION="C libary for Netflix's Perceptual video quality assessment"
+HOMEPAGE="https://github.com/Netflix/vmaf";
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Netflix/vmaf.git";
+else
+       SRC_URI="
+               https://github.com/Netflix/vmaf/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       "
+       KEYWORDS="~amd64 ~loong ~riscv ~x86"
+fi
+
+LICENSE="BSD-2-with-patent"
+SLOT="0/3"
+IUSE="+embed-models test"
+
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       dev-lang/nasm
+       embed-models? ( app-editors/vim-core )
+"
+
+RDEPEND="${BDEPEND}"
+
+S="${WORKDIR}/vmaf-${PV}"
+
+src_prepare() {
+       default
+
+       # Workaround for https://bugs.gentoo.org/837221
+       # The paths in the tests are hard coded to look for the model folder as 
"../../model"
+       sed -i "s|\"../../model|\"../vmaf-${PV}/model|g" "${S}"/libvmaf/test/* 
|| die
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               $(meson_use embed-models built_in_models)
+               $(meson_use test enable_tests)
+       )
+
+       EMESON_SOURCE="${S}/libvmaf"
+       filter-lto
+       meson_src_configure
+}
+
+multilib_src_install() {
+       meson_src_install
+       find "${D}" -name '*.la' -delete -o -name '*.a' -delete || die
+}
+
+multilib_src_install_all() {
+       einstalldocs
+
+       insinto "/usr/share/vmaf"
+       doins -r "${S}/model"
+}

Reply via email to